> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Debit customer wallet

> Developer API operation for POST /dev/v1/customers/{id}/wallet/debit.



## OpenAPI

````yaml /openapi.json post /dev/v1/customers/{id}/wallet/debit
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/customers/{id}/wallet/debit:
    post:
      tags:
        - Customers
      summary: Debit customer wallet
      description: Developer API operation for POST /dev/v1/customers/{id}/wallet/debit.
      operationId: postDevV1CustomersByIdWalletDebit
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - description
              properties:
                amount:
                  type: string
                description:
                  type: string
              example:
                amount: '4.50'
                description: Manual adjustment
          multipart/form-data:
            schema:
              type: object
              required:
                - amount
                - description
              properties:
                amount:
                  type: string
                description:
                  type: string
              example:
                amount: '4.50'
                description: Manual adjustment
          text/plain:
            schema:
              type: object
              required:
                - amount
                - description
              properties:
                amount:
                  type: string
                description:
                  type: string
              example:
                amount: '4.50'
                description: Manual adjustment
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    transaction_id: txn_debit_1
                    amount: 4.5
                    currency: EUR
                    new_balance: 10.5
                    available_balance: 8
                    wallet_id: wallet_1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````